Bug 675151 - Typo causes ";marker-supply-low-warning" state reason
Summary: Typo causes ";marker-supply-low-warning" state reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 13:44 UTC by Tim Waugh
Modified: 2011-08-05 08:33 UTC (History)
3 users (show)

Fixed In Version: hplip-3.11.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-30 22:30:27 UTC


Attachments (Terms of Use)

Description Tim Waugh 2011-02-04 13:44:28 UTC
Description of problem:
A typo in one of the patches for HPLIP causes a semi-colon to be used by hpijs when reporting state reasons.

Version-Release number of selected component (if applicable):
hplip-3.10.9-14.fc13

Comment 1 Fedora Update System 2011-03-16 12:27:04 UTC
hplip-3.11.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc14

Comment 2 Fedora Update System 2011-03-16 12:44:30 UTC
hplip-3.11.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.1-3.fc13

Comment 3 Fedora Update System 2011-04-01 09:43:48 UTC
hplip-3.11.3a-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc14

Comment 4 Fedora Update System 2011-04-01 09:45:05 UTC
hplip-3.11.3a-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13

Comment 5 Fedora Update System 2011-04-01 18:21:02 UTC
Package hplip-3.11.3a-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.11.3a-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/hplip-3.11.3a-1.fc13
then log in and leave karma (feedback).

Comment 6 Bug Zapper 2011-05-30 11:32:39 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora Update System 2011-05-30 22:29:50 UTC
hplip-3.11.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-05-30 22:31:18 UTC
hplip-3.11.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Johan Vromans 2011-08-04 19:21:52 UTC
On Fedora 14 with all updates as of 2011-08-04, I still get these annoying 

Printer 'hp': ';marker-supply-low'

messages.
The message is bogus anyway, since it's a LaserJet 6MP.

hplip version is hplip-3.11.5-3.fc14.i686 .

Comment 10 Tim Waugh 2011-08-05 08:33:43 UTC
You can stop cups, edit /etc/cups/printers.conf, and restart cups again to remove this incorrect attribute.  The update does not clear the state reason, only prevents it from being emitted in the first instance.


Note You need to log in before you can comment on or make changes to this bug.